Package org.eclipse.mat.ui.internal.browser

# Class QueryHistoryHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.mat.ui.internal.browser.QueryHistoryHandler

All Implemented Interfaces:
  `IHandler`, `IHandler2`

public class QueryHistoryHandler extends AbstractHandler

## Constructor Summary

Constructors
Constructor
Description
`QueryHistoryHandler()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`execute(ExecutionEvent executionEvent)`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.IHandler

`getHandlerLabel`

## Constructor Details

### QueryHistoryHandler

public QueryHistoryHandler()

## Method Details

### execute

public Object execute(ExecutionEvent executionEvent)